@import "../scss/index.scss";

.home {
  &__fullscreen {
    display: flex;
    align-items: center;
    padding: 0 80px;
    background: rgb(34, 195, 208);
    background: linear-gradient(
      187deg,
      rgba(34, 195, 208, 0.9699230033810399) 0%,
      rgba(56, 162, 164, 1) 100%
    );

    @media (max-width: 768px) {
      display: inline-block;
      @media (max-width: 768px) {
        padding: 0 40px;
      }
    }

    &__left {
      flex: 0.7;

      p {
        margin: 20px 0;
      }

      .btns {
        display: flex;

        a {
          text-decoration: none;
          color: #fff;
          background-color: $background-primary;
          padding: 12px 40px;
          margin-right: 6px;
          text-align: center;
          text-transform: uppercase;
          letter-spacing: 0.2rem;
          font-size: 14px;
        }
      }

      .terms {
        font-size: 10px;
      }

      @media (max-width: 768px) {
        padding: 20px 4px;
        flex: 1;
        display: grid;
        place-items: center;
      }
    }

    &__right {
      flex: 0.3;
      display: flex;
      justify-content: center;
      padding: 40px 0;

      img {
        width: 100%;
        object-fit: cover;

        @media (max-width: 768px) {
          width: 50%;
        }
      }
    }
  }

  &__beneficios {
    padding: 40px;

    h1 {
      text-align: center;
    }

    &__grid-container {
      display: grid;
      grid-gap: 25px;
      gap: 25px;
      grid-template-columns: repeat(4, minmax(0, 1fr));

      @media (max-width: 768px) {
        grid-template-columns: repeat(1, minmax(0, 1fr));
      }

      .grid-item {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin: 40px 0;

        img {
          width: 70%;
          object-fit: cover;

          @media (max-width: 768px) {
            width: 60%;
          }
        }

        .data {
          display: flex;
          flex-direction: column;
          margin-top: 20px;
          text-align: center;

          h2 {
            font-size: 16px;
          }

          p {
            font-size: 12px;
          }
        }
      }
    }
  }

  &__testimonios {
    display: flex;
    padding: 0 80px;

    @media (max-width: 768px) {
      padding: 0 40px;
    }

    &__left {
      flex: 0.5;
    }

    &__right {
      flex: 0.5;

      @media (max-width: 768px) {
        flex: 1;
        padding: 0 40px;
      }

      .title {
        font-size: 18px;
        padding-bottom: 6px;
        border-bottom: 1px solid #000;
      }

      .grid {
        margin-top: 10px;
        display: grid;
        grid-gap: 20px;
        gap: 20px;
        grid-template-columns: repeat(3, minmax(0, 1fr));

        @media (max-width: 768px) {
          grid-template-columns: repeat(1, minmax(0, 1fr));
        }

        &__item {
          padding: 20px;
          border-radius: 6px;
          box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1);
          transition: ease 0.3s all;
          transform: translateY(0px);

          &:hover {
            cursor: pointer;
            transform: translateY(10px);
          }

          h1 {
            font-size: 16px;
            text-transform: uppercase;
          }

          p {
            font-size: 12px;
          }

          span {
            font-size: 10px;
          }
        }
      }

      a {
        margin-top: 20px;
        text-decoration: none;
      }
    }

    @media (max-width: 768px) {
      display: inline;
    }
  }
}
